/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\Items\Containers\TreasureChest.cs
Lines of code: 215
***********************************************************/


using Server;
using Server.Items;
using Server.Multis;
using Server.Network;
using System;

namespace Server.Items
{
	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class WoodenTreasureChest : BaseTreasureChest 
	{ 
		[Constructable] 
		public WoodenTreasureChest() : base( 0xE43 ) 
		{ 
		} 

		public WoodenTreasureChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 

	[FlipableAttribute( 0xe41, 0xe40 )] 
	public class MetalGoldenTreasureChest : BaseTreasureChest 
	{
		[Constructable] 
		public MetalGoldenTreasureChest() : base( 0xE41 ) 
		{ 
		} 

		public MetalGoldenTreasureChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 

	[FlipableAttribute( 0x9ab, 0xe7c )] 
	public class MetalTreasureChest : BaseTreasureChest 
	{
		[Constructable] 
		public MetalTreasureChest() : base( 0x9AB ) 
		{ 
		} 

		public MetalTreasureChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 
	
	

//spawned treasure chests
	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class l1SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l1SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level1 ) 
		{ 
		MinSpawnTime=5;
		MaxSpawnTime=15;
		} 

		public l1SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 
	
	
	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class l2SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l2SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level2 ) 
		{ 
		MinSpawnTime=10;
		MaxSpawnTime=25;		
		} 

		public l2SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 	
	
	
	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class l3SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l3SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level3 ) 
		{ 
		MinSpawnTime=10;
		MaxSpawnTime=25;		
		} 

		public l3SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 	
	
	
	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class l4SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l4SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level4 ) 
		{ 
		MinSpawnTime=25;
		MaxSpawnTime=45;		
		} 

		public l4SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 	


	[FlipableAttribute( 0xe43, 0xe42 )]
	public class l5SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l5SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level5 ) 
		{ 
		MinSpawnTime=25;
		MaxSpawnTime=60;		
		} 

		public l5SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 	


	[FlipableAttribute( 0xe43, 0xe42 )] 
	public class l6SpawnedTChest : BaseTreasureChest 
	{
		public override bool DeleteOnReset {get{return true;}}
		[Constructable] 
		public l6SpawnedTChest() : base( (Utility.RandomBool() ? 0xe43 : 0xe42),TreasureLevel.Level6 ) 
		{ 
		MinSpawnTime=60;
		MaxSpawnTime=120;			
		} 

		public l6SpawnedTChest( Serial serial ) : base( serial ) 
		{ 
		} 

		public override void Serialize( GenericWriter writer ) 
		{ 
			base.Serialize( writer ); 

			writer.Write( (int) 0 ); // version 
		} 

		public override void Deserialize( GenericReader reader ) 
		{ 
			base.Deserialize( reader ); 

			int version = reader.ReadInt(); 
		} 
	} 		
	
	
}